# Среда разработки - IntelliJ IDEA
![Картинка пропала](https://blog.skillfactory.ru/wp-content/uploads/2022/06/intellij_idea_icon.svg-5514922-300x300.png "IntelliJ IDEA")

### Что такое IntelliJ IDEA

***IntelliJ IDEA*** — это интеллектуальная IDE, учитывающая контекст. Она предназначена для разработки разнообразных приложений на Java и других языках JVM, например Kotlin, Scala и Groovy. Кроме того, IntelliJ IDEA Ultimate поможет в разработке веб-приложений: она предлагает эффективные встроенные инструменты, поддержку JavaScript и связанных с ним технологий, а также расширенную поддержку таких популярных фреймворков, как Spring, Spring Boot, Jakarta EE, Micronaut, Quarkus и Helidon. А бесплатные плагины, разработанные JetBrains, позволяют дополнительно расширить возможности IntelliJ IDEA и использовать ее для работы с другими языками программирования, в том числе Go, Python, SQL, Ruby и PHP. 

#### Эргономичная среда

IntelliJ IDEA продумана в каждом аспекте и готова к использованию сразу после установки. Среда обеспечивает быстрый доступ ко всем функциям и встроенным инструментам, необходимым разработчику, а также широкие возможности индивидуальной настройки. Вы можете полностью настроить среду в соответствии со своим рабочим процессом: задать сочетания клавиш, установить плагины, настроить интерфейс по своему усмотрению и т. д. 

![Картинка пропала](https://www.jetbrains.com/idea/features/screenshots/features_2021/Ergonomics_StartUp.png "IntelliJ IDEA") ![Картинка пропала](https://www.jetbrains.com/idea/features/screenshots/features_2021/Ergonomics_Shortcuts.png "IntelliJ IDEA")

## Литература 
1. https://www.jetbrains.com/ru-ru/idea/features/